ros-melodic-cv-bridge-python3 (1.13.2-1bionic) bionic; urgency=high

  * add buildtool_depend for catkin-pkg-modules (#2 <https://github.com/jsk-ros-pkg/vision_opencv_python3/issues/2>)
  * Contributors: Shingo Kitagawa

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 07 Apr 2022 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.13.1-1bionic) bionic; urgency=high

  * depends on python3, change package name to cv_bridge_python3
  * Contributors: Kei Okada

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 21 Mar 2022 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.13.0-1bionic) bionic; urgency=high

  * Use rosdep OpenCV and not ROS one.
    We defintely don't need the whole OpenCV.
    We need to clean the rosdep keys.
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 29 Apr 2018 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.12.8-1bionic) bionic; urgency=high

  * Merge pull request #191 <https://github.com/ros-perception/vision_opencv/issues/191> from patrickelectric/kinetic
    cv2_to_imgmsg: step must be int
  * cv2_to_imgmsg: step must be int
    Signed-off-by: Patrick José Pereira <mailto:patrickelectric@gmail.com>
  * Contributors: Patrick José Pereira, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 16 Apr 2018 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.12.7-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 11 Nov 2017 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.12.6-1bionic) bionic; urgency=high

  * fix endianness issues
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 10 Nov 2017 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.12.5-1bionic) bionic; urgency=high

  * add version_gte for opencv3
    @vrabaud If you'll update opencv3 version as discussed in https://discourse.ros.org/t/opencv-3-3/2674/4, I think we'd better to add 'version_gte' tag so that apt-get install ros-kinetic-cv-bridge also pulls openv3.3 from repository, to avoid API breaking issue between opencv2 and opencv3.
  * Simplify the dependency components of cv_bridge
    Fixes #183 <https://github.com/ros-perception/vision_opencv/issues/183>
  * Fixes #177 <https://github.com/ros-perception/vision_opencv/issues/177>
    The Python bridge was wrong on OpenCV2 with mono8 (and any Mat
    with only two dimensions btw). Took the official Python bridge
    from OpenCV.
  * Add missing test file
    This fixes #171 <https://github.com/ros-perception/vision_opencv/issues/171>
  * Properly deal with alpha in image compression.
    That fixes #169 <https://github.com/ros-perception/vision_opencv/issues/169>
  * Silence warnings about un-used variables
  * export OpenCV variables
  * Contributors: Kei Okada, Victor Lamoine, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.12.4-1bionic) bionic; urgency=high

  * properly find Boost Python 2 or 3
    This fixes #158 <https://github.com/ros-perception/vision_opencv/issues/158>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 28 Jan 2017 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.12.3-1bionic) bionic; urgency=high

  * Use api in sensor_msgs to get byte_depth and num channels
  * Implement cpp conversion of N channel image
    This is cpp version of https://github.com/ros-perception/vision_opencv/pull/141,
    which is one for python.
  * Fill black color to depth nan region
  * address gcc6 build error in cv_bridge and tune
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129
    This commit addresses this issue for cv_bridge in the same way
    it was done in the commit ead421b8 [1] for image_geometry.
    This issue was also addressed in various other ROS packages.
    A list of related commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    [1] https://github.com/ros-perception/vision_opencv/commit/ead421b85eeb750cbf7988657015296ed6789bcf
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * cv_bridge: Add missing test_depend on numpy
  * Contributors: Kentaro Wada, Lukas Bulwahn, Maarten de Vries

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Dec 2016 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.12.2-1bionic) bionic; urgency=high

  * Specify background label when colorizing label image
  * Adjust to arbitrary image channels like 32FC40
    Proper fix for #141 <https://github.com/ros-perception/vision_opencv/issues/141>
  * Remove unexpectedly included print statement
  * Contributors: Kentaro Wada, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 23 Sep 2016 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.12.1-1bionic) bionic; urgency=high

  * split the conversion tests out of enumerants
  * support is_bigendian in Python
    Fixes #114 <https://github.com/ros-perception/vision_opencv/issues/114>
    Also fixes mono16 test
  * Support compressed Images messages in python for indigo
    - Add cv2_to_comprssed_imgmsg: Convert from cv2 image to compressed image ros msg.
    - Add comprssed_imgmsg_to_cv2:   Convert the compress message to a new image.
    - Add compressed image tests.
    - Add time to msgs (compressed and regular).
    add enumerants test for compressed image.
    merge the compressed tests with the regular ones.
    better comment explanation. I will squash this commit.
    Fix indentation
    fix typo mistage: from .imgmsg_to_compressed_cv2 to .compressed_imgmsg_to_cv2.
    remove cv2.CV_8UC1
    remove rospy and time depndency.
    change from IMREAD_COLOR to IMREAD_ANYCOLOR.
    - make indentaion of 4.
    - remove space trailer.
    - remove space from empty lines.
    - another set of for loops, it will make things easier to track. In that new set,  just have the number of channels in ([],1,3,4) (ignore two for jpg). from: https://github.com/ros-perception/vision_opencv/pull/132#discussion_r66721943
    - keep the OpenCV error message. from: https://github.com/ros-perception/vision_opencv/pull/132#discussion_r66721013
    add debug print for test.
    add case for 4 channels in test.
    remove 4 channels case from compressed test.
    add debug print for test.
    change typo of format.
    fix typo in format. change from dip to dib.
    change to IMREAD_ANYCOLOR as python code. (as it should).
    rename TIFF to tiff
    Sperate the tests one for regular images and one for compressed.
    update comment
  * Add CvtColorForDisplayOptions with new colormap param
  * fix doc jobs
  * Add python binding for cv_bridge::cvtColorForDisplay
  * Don't colorize float image as label image
    This is a bug and image whose encoding is other than 32SC1 should not be
    colorized. (currently, depth images with 32FC1 is also colorized.)
  * Fix compilation of cv_bridge with opencv3 and python3.
  * Contributors: Kentaro Wada, Maarten de Vries, Vincent Rabaud, talregev

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 10 Jul 2016 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.12.0-1bionic) bionic; urgency=high

  * depend on OpenCV3 only
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 17 Mar 2016 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.11.12-1bionic) bionic; urgency=high

  * Fix my typo
  * Remove another eval
    Because cvtype2_to_dtype_with_channels('8UCimport os; os.system("rm -rf /")') should never have a chance of happening.
  * Remove eval, and other fixes
    Also, extend from object, so as not to get a python 2.2-style class, and use the new-style raise statement
  * Contributors: Eric Wieser

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 Mar 2016 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.11.11-1bionic) bionic; urgency=high

  * clean up the doc files
  * fix a few warnings in doc jobs
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 30 Jan 2016 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.11.10-1bionic) bionic; urgency=high

  * fix OpenCV3 build
  * Describe about converting label to bgr image in cvtColorForDisplay
  * Convert label to BGR image to display
  * Add test for rgb_colors.cpp
  * Add rgb_colors util
  * Update doc for converting to BGR in cvtColorForDisplay
  * Convert to BGR from any encoding
  * Refactor: sensor_msgs::image_encodings -> enc
  * Contributors: Kentaro Wada, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 15 Jan 2016 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.11.9-1bionic) bionic; urgency=high

  * deal with endianness
  * add cvtColorForDisplay
  * Improved efficiency by using toCvShare instead of toCvCopy.
  * Add format enum for easy use and choose format.
  * fix compilation warnings
  * start to extend the cv_bridge with cvCompressedImage class, that will convert from cv::Mat opencv images to CompressedImage ros messages and vice versa
  * Contributors: Carlos Costa, Vincent Rabaud, talregev

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 28 Nov 2015 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.11.8-1bionic) bionic; urgency=high

  * Simplify some OpenCV3 distinction
  * fix tests
  * fix test under OpenCV3
  * Remove Python for Android
  * Contributors: Gary Servin, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 14 Jul 2015 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.11.7-1bionic) bionic; urgency=high

  * check that the type is indeed a Numpy one
    This is in response to #51 <https://github.com/ros-perception/vision_opencv/issues/51>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 13 Dec 2014 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.11.6-1bionic) bionic; urgency=high

  * chnage the behavior when there is only one channel
  * cleanup tests
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 15 Nov 2014 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.11.5-1bionic) bionic; urgency=high

  * get code to work with OpenCV3
    actually fixes #46 <https://github.com/ros-perception/vision_opencv/issues/46> properly
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 20 Sep 2014 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.11.4-1bionic) bionic; urgency=high

  * Fix #42 <https://github.com/ros-perception/vision_opencv/issues/42>
  * Contributors: Libor Wagner

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 26 Jul 2014 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.11.3-1bionic) bionic; urgency=high

  * Correct dependency from non-existent package to cv_bridge
  * Contributors: Isaac Isao Saito

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 07 Jun 2014 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.11.2-1bionic) bionic; urgency=high

  * Add depend on python for cv_bridge
  * Contributors: Scott K Logan

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 27 Apr 2014 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.11.1-1bionic) bionic; urgency=high

  * fixes #34 <https://github.com/ros-perception/vision_opencv/issues/34>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 15 Apr 2014 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.11.0-1bionic) bionic; urgency=high

  * remove deprecated API and fixes #33 <https://github.com/ros-perception/vision_opencv/issues/33>
  * fix OpenCV dependencies
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 14 Feb 2014 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.10.15-1bionic) bionic; urgency=high

  * fix python 3 error at configure time
  * Contributors: Dirk Thomas

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 06 Feb 2014 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.10.14-1bionic) bionic; urgency=high

  * update changelog
  * Find NumPy include directory
  * Contributors: Brian Jensen, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Nov 2013 07:17:00 -0000

ros-melodic-cv-bridge-python3 (1.10.13-1bionic) bionic; urgency=high

  * fix compilation on older NumPy
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Nov 2013 00:19:00 -0000

ros-melodic-cv-bridge-python3 (1.10.12-1bionic) bionic; urgency=high

  * bump changelog
  * Fixed issue with image message step size
  * fix crash for non char data
  * fix #26 <https://github.com/ros-perception/vision_opencv/issues/26>
  * Contributors: Brian Jensen, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 21 Nov 2013 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.10.11-1bionic) bionic; urgency=high

  * fix bad image check and improve it too
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 22 Oct 2013 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.10.10-1bionic) bionic; urgency=high

  * fixes #25 <https://github.com/ros-perception/vision_opencv/issues/25>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 18 Oct 2013 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.10.9-1bionic) bionic; urgency=high

  * fixes #20 <https://github.com/ros-perception/vision_opencv/issues/20>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 06 Oct 2013 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.10.8-1bionic) bionic; urgency=high

  * fixes #22 <https://github.com/ros-perception/vision_opencv/issues/22>
  * fixes #17 <https://github.com/ros-perception/vision_opencv/issues/17>
  * check for CATKIN_ENABLE_TESTING
  * fixes #16 <https://github.com/ros-perception/vision_opencv/issues/16>
  * update email  address
  * Contributors: Lukas Bulwahn, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 08 Sep 2013 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.10.7-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 16 Jul 2013 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.10.6-1bionic) bionic; urgency=high

  * make sure conversion are applied for depth differences
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 28 Feb 2013 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.10.5-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 10 Feb 2013 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.10.4-1bionic) bionic; urgency=high

  * fix installation of the boost package
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 01 Feb 2013 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.10.3-1bionic) bionic; urgency=high

  * Link against PTYHON_LIBRARIES
  * Contributors: William Woodall

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 16 Jan 2013 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.10.2-1bionic) bionic; urgency=high

  * use CATKIN_DEVEL_PREFIX instead of obsolete CATKIN_BUILD_PREFIX
  * Contributors: Dirk Thomas

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Jan 2013 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.10.1-1bionic) bionic; urgency=high

  * add licenses
  * fixes #5 <https://github.com/ros-perception/vision_opencv/issues/5> by removing the logic from Python and using wrapped C++ and adding a test for it
  * fix a bug discovered when running the opencv_tests
  * use some C++ logic
  * add a Boost Python module to have the C++ logix used directly in Python
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 Jan 2013 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.10.0-1bionic) bionic; urgency=high

  * add conversion from Bayer to gray
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 02 Jan 2013 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.9.15-1bionic) bionic; urgency=high

  * use the reverted isColor behavior
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 01 Jan 2013 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.9.14-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 29 Dec 2012 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.9.13-1bionic) bionic; urgency=high

  * use the catkin macros for the setup.py
  * fix #3 <https://github.com/ros-perception/vision_opencv/issues/3>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 14 Dec 2012 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.9.12-1bionic) bionic; urgency=high

  * buildtool_depend catkin fix
  * CMakeLists.txt clean up.
  * Contributors: William Woodall

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 13 Dec 2012 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.9.11-1bionic) bionic; urgency=high

  * fix issue #1 <https://github.com/ros-perception/vision_opencv/issues/1>
  * Cleanup of package.xml
  * Contributors: Vincent Rabaud, William Woodall

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 09 Dec 2012 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.9.10-1bionic) bionic; urgency=high

  * fix the bad include folder
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 03 Oct 2012 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.9.9-1bionic) bionic; urgency=high

  * fix dependencies
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 30 Sep 2012 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.9.8-1bionic) bionic; urgency=high

  * fix some dependencies
  * add rosconsole as a dependency
  * fix missing Python at install and fix some dependencies
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 29 Sep 2012 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.9.7-1bionic) bionic; urgency=high

  * add missing stuff
  * make sure we find catkin
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 28 Sep 2012 12:07:00 -0000

ros-melodic-cv-bridge-python3 (1.9.6-1bionic) bionic; urgency=high

  * move the test to where it belongs
  * fix the tests and the API to not handle conversion from CV_TYPE to Color type (does not make sense)
  * comply to the new Catkin API
  * backport the YUV422 bug fix from Fuerte
  * apply patch from https://code.ros.org/trac/ros-pkg/ticket/5556
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 28 Sep 2012 06:17:00 -0000

ros-melodic-cv-bridge-python3 (1.9.5-1bionic) bionic; urgency=high

  * remove dependencies to the opencv2 ROS package
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 14 Sep 2012 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.9.4-1bionic) bionic; urgency=high

  * make sure the include folders are copied to the right place
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 12 Sep 2012 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.9.3-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 11 Sep 2012 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.9.2-1bionic) bionic; urgency=high

  * be more compliant to the latest catkin
  * added catkin_project() to cv_bridge, image_geometry, and opencv_tests
  * Contributors: Jonathan Binney, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 06 Sep 2012 15:00:00 -0000

ros-melodic-cv-bridge-python3 (1.9.1-1bionic) bionic; urgency=high

  * remove things that were marked as ROS_DEPRECATED
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 28 Aug 2012 13:06:00 -0000

ros-melodic-cv-bridge-python3 (1.9.0-1bionic) bionic; urgency=high

  * catkinized opencv_tests by Jon Binney
  * catkinized cv_bridge package... others disable for now by Jon Binney
  * remove the version check, let's trust OpenCV :)
  * revert the removal of opencv2
  * vision_opencv: Export OpenCV flags in manifests for image_geometry, cv_bridge.
  * finally get rid of opencv2 as it is a system dependency now
  * bump REQUIRED version of OpenCV to 2.3.2, which is what's in ros-fuerte-opencv
  * switch rosdep name to opencv2, to refer to ros-fuerte-opencv2
  * added missing header
  * Added constructor to CvImage to make converting a cv::Mat to sensor_msgs::Image less verbose.
  * cv_bridge: Added unit test for #5206 <https://github.com/ros-perception/vision_opencv/issues/5206>
  * cv_bridge: Applied patch from mdesnoyer to fix handling of non-continuous OpenCV images. #5206 <https://github.com/ros-perception/vision_opencv/issues/5206>
  * Adding opencv2 to all manifests, so that client packages may
    not break when using them.
  * baking in opencv debs and attempting a pre-release
  * cv_bridge: Support for new 16-bit encodings.
  * cv_bridge: Deprecate old C++ cv_bridge API.
  * cv_bridge: Correctly scale for MONO8 <-> MONO16 conversions.
  * cv_bridge: Fixed issue where pointer version to toCvCopy would ignore the requested encoding (http://answers.ros.org/question/258/converting-kinect-rgb-image-to-opencv-gives-wrong).
  * fixed doc build by taking a static snapshot
  * cv_bridge: Marking doc reviewed.
  * cv_bridge: Tweaks to make docs look better.
  * cv_bridge: Added cvtColor(). License notices. Documented that CvBridge class is obsolete.
  * cv_bridge: Added redesigned C++ cv_bridge.
  * Doc cleanup
  * Trigger doc rebuild
  * mono16 -> bgr conversion tested and fixed in C
  * Added Ubuntu platform tags to manifest
  * Handle mono16 properly
  * Raise exception when imgMsgToCv() gets an image encoding it does not recognise, #3489 <https://github.com/ros-perception/vision_opencv/issues/3489>
  * Remove use of deprecated rosbuild macros
  * Fixed example
  * cv_bridge split from opencv2
  * Contributors: Vincent Rabaud, ethanrublee, gerkey, jamesb, mihelich, vrabaud, wheeler

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 28 Aug 2012 05:29:00 -0000


